Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx
Enum ScrollableSizeHint

    java.lang.Object
      java.lang.Enum<ScrollableSizeHint>
          org.jdesktop.swingx.ScrollableSizeHint

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ScrollableSizeHint>

    public enum ScrollableSizeHint

extends java.lang.Enum<ScrollableSizeHint>

Sizing hints for layout, useful f.i. in a Scrollable implementation.

Inspired by Rob Camick. PENDING JW: naming... suggestions?

Author:
  Jeanette Winzenburg

Enum Constant Summary
`FIT` Size should be adjusted to parent size.
`HORIZONTAL_STRETCH` Width should be stretched to parent width if smaller, unchanged otherwise.
`NONE` Size should be unchanged.
`VERTICAL_STRETCH` Width should be stretched to parent height if smaller, unchanged otherwise.

Method Summary
`boolean` | `getTracksParentSize(javax.swing.JComponent component)` Returns a boolean indicating whether the component's size should be adjusted to parent.
`boolean` | `isHorizontalCompatible()` Returns a boolean indicating whether the hint can be used in horizontal orientation.
`boolean` | `isVerticalCompatible()` Returns a boolean indicating whether the hint can be used in vertical orientation.
`static ScrollableSizeHint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ScrollableSizeHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ScrollableSizeHint NONE

  Size should be unchanged.

### FIT

    public static final ScrollableSizeHint FIT

  Size should be adjusted to parent size.

### HORIZONTAL_STRETCH

    public static final ScrollableSizeHint HORIZONTAL_STRETCH

  Width should be stretched to parent width if smaller, unchanged otherwise.

### VERTICAL_STRETCH

    public static final ScrollableSizeHint VERTICAL_STRETCH

  Width should be stretched to parent height if smaller, unchanged otherwise.

Method Detail

### values

    public static ScrollableSizeHint[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScrollableSizeHint c : ScrollableSizeHint.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScrollableSizeHint valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getTracksParentSize

    public boolean getTracksParentSize(javax.swing.JComponent component)

  Returns a boolean indicating whether the component's size should be adjusted to parent.

  Parameters:
    `component` - the component resize, must not be null
  Returns:
    a boolean indicating whether the component's size should be adjusted to parent
  Throws:
    `java.lang.NullPointerException` - if component is null

### isHorizontalCompatible

    public boolean isHorizontalCompatible()

  Returns a boolean indicating whether the hint can be used in horizontal orientation.

  Returns:
    a boolean indicating whether the hint can be used in horizontal orientation.

### isVerticalCompatible

    public boolean isVerticalCompatible()

  Returns a boolean indicating whether the hint can be used in vertical orientation.

  Returns:
    a boolean indicating whether the hint can be used in vertical orientation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.